phing-types

# Class: PatternSetNameEntry Source Location: /types/PatternSet.php
### Class Overview
"Internal" class for holding an include/exclude pattern. | ### Methods evalName getName setIf setName setPattern setUnless toString valid
### Class Details [line 387] "Internal" class for holding an include/exclude pattern. [ Top ] ### Class Methods ### method evalName [line 453]
`string evalName( $project)`
Evaluates the pattern. #### Tags:
return: | The pattern or null if it is ruled out by a condition.
access: | public
#### Parameters:
Project | $project |
[ Top ] ### method getName [line 445]
`string getName( )`
Get the pattern text. #### Tags:
return: | The pattern.
access: | public
[ Top ] ### method setIf [line 428]
`void setIf( string $cond)`
Sets an if-condition property for this pattern to match. #### Tags:
access: | public
#### Parameters:
string | $cond |
[ Top ] ### method setName [line 420]
`void setName( string $name)`
Set the pattern text. #### Tags:
access: | public
#### Parameters:
string | $name | The pattern
[ Top ] ### method setPattern [line 412]
`void setPattern( string $pattern)`
An alias for the setName() method. #### Tags:
see: | PatternSetNameEntry::setName()
access: | public
#### Parameters:
string | $pattern |
[ Top ] ### method setUnless [line 437]
`void setUnless( string $cond)`
Sets an unless-condition property for this pattern to match. #### Tags:
access: | public
#### Parameters:
string | $cond |
[ Top ] ### method toString [line 477]
`string toString( )`
Gets a string representation of this pattern. #### Tags:
access: | public
[ Top ] ### method valid [line 464]
`boolean valid( $project)`
Checks whether pattern should be applied based on whether the if and unless properties are set in project. #### Tags:
access: | public
#### Parameters:
Project | $project |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:24 +0200 by phpDocumentor 1.4.3